/// <reference types="react" />
import { Option } from 'react-dropdown';
declare type Input = {
    label: string;
    inputType: string;
    key: number;
    name: string;
    dropDownOptions?: Option[];
    inputClassName?: string;
    onClick?: () => any;
    buttonLabel?: string | undefined;
};
declare type Inputs = {
    id: string | number;
    inputs: Input[];
};
declare type Config = {
    className?: string | undefined;
    labelClassName?: string | undefined;
    errorClassName?: string | undefined;
    successClassName?: string | undefined;
    baseClassName?: string | undefined;
    onSubmit: (values: any) => void;
    submitButtonLabel: string;
    submitClass?: string | undefined;
};
declare type Level = {
    inputs: Inputs[];
    config: Config;
};
interface Props {
    inputs: Level;
}
export declare const ReactLogicForm: ({ inputs }: Props) => JSX.Element;
export {};
