import * as React from 'react';
import { Option } from 'react-dropdown';
interface Props {
    type: string;
    name: string;
    label: string;
    buttonLabel: string | undefined;
    labelClassName: string | undefined;
    dropDownOptions: Option[];
    inputClassName: string | undefined;
    onClick: () => any;
    validate: (value: string) => any;
    className?: string | undefined;
    errorClassName?: string | undefined;
    handleInputvalues: (event: React.ChangeEvent<HTMLInputElement | HTMLTextAreaElement>, name: string) => void;
}
export declare const renderInputs: ({ type, name, validate, className, errorClassName, handleInputvalues, dropDownOptions, labelClassName, label, onClick, buttonLabel, inputClassName }: Props) => React.ReactElement | undefined;
export {};
